Skip to content

Add a sponsor to the library

POST
/api/v1/workspaces/{workspace}/sponsors
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "contactEmail": "example", "contactName": "example", "logoUrl": "example", "name": "example", "notes": "example", "termsDays": 1, "website": "example" }'

Permission: sponsors:manage

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
contactEmail
string
<= 254 characters
contactName
string
<= 120 characters
logoUrl
string
<= 1000 characters
name
required
string
>= 1 characters <= 80 characters
notes
string
<= 2000 characters
termsDays

Payments are due this many days after the issue (14 when absent).

integer format: int64
<= 120
website
string
<= 300 characters

Example generated

{
"contactEmail": "example",
"contactName": "example",
"logoUrl": "example",
"name": "example",
"notes": "example",
"termsDays": 1,
"website": "example"
}

Created

Media typeapplication/json
object
bookedCents
required
integer format: int64
clickRate
number format: double
clickRateIssue
integer format: int64
contactEmail
required
string
contactName
required
string
currency
required
string
hold
required
Array<integer>
holdCents
required
integer format: int64
id
required
string
initials
required
string
issues
required
Array<integer>
logoUrl
required
string
name
required
string
notes
required
string
paidCents
required
integer format: int64
termsDays
required
integer format: int64
website
required
string

Example generated

{
"bookedCents": 1,
"clickRate": 1,
"clickRateIssue": 1,
"contactEmail": "example",
"contactName": "example",
"currency": "example",
"hold": [
1
],
"holdCents": 1,
"id": "example",
"initials": "example",
"issues": [
1
],
"logoUrl": "example",
"name": "example",
"notes": "example",
"paidCents": 1,
"termsDays": 1,
"website": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}